Bug 332245 - Applet handle should have minimum size
Summary: Applet handle should have minimum size
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-17 12:29 UTC by Bhushan Shah
Modified: 2014-04-01 17:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
problem (9.42 KB, image/png)
2014-03-17 12:29 UTC, Bhushan Shah
Details
problem with close (19.39 KB, image/png)
2014-03-27 15:23 UTC, Bhushan Shah
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bhushan Shah 2014-03-17 12:29:17 UTC
Created attachment 85611 [details]
problem

In analog clock, since it does not have minimum height or width it looks like its screwed up.
Comment 1 David Edmundson 2014-03-26 19:08:44 UTC
Git commit 344974c4bb9e76bd0566694d0a4b0334d8fee7b4 by David Edmundson.
Committed on 26/03/2014 at 19:06.
Pushed by davidedmundson into branch 'master'.

Fix minimum size on the Applet Handle

- center align the noBackgroundHandle and obey the minimumHeight

- made the mouse event listener that controls whether to show the
handle separate from the size of the applet, so we can still reach the
controls when the applet is smaller than the handle

M  +14   -2    plasma-desktop/containments/desktop/package/contents/ui/AppletAppearance.qml
M  +5    -1    plasma-desktop/containments/desktop/package/contents/ui/AppletHandle.qml

http://commits.kde.org/kde-workspace/344974c4bb9e76bd0566694d0a4b0334d8fee7b4
Comment 2 Bhushan Shah 2014-03-27 15:23:24 UTC
Created attachment 85789 [details]
problem with close

Close button is still out of applet
Comment 3 Marco Martin 2014-04-01 17:43:33 UTC
Git commit e6f47721d6da005d2109df621f824891f8df3f82 by Marco Martin.
Committed on 01/04/2014 at 17:41.
Pushed by mart into branch 'master'.

don't move the handle on resize

also fix handle sizing, and don't hide when the mouse is over an handle button
Related: bug 332695

M  +11   -12   containments/desktop/package/contents/ui/AppletAppearance.qml
M  +61   -12   containments/desktop/package/contents/ui/AppletHandle.qml

http://commits.kde.org/plasma-desktop/e6f47721d6da005d2109df621f824891f8df3f82